local _, cClass = UnitClass("player")
if (cClass ~= "WARRIOR") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = {
		[GetSpellInfo(52437)] = { color={0.7,0.1,0.1}, }, -- Sudden Death
		[GetSpellInfo(60503)] = { color={1,0.5,0}, }, -- Taste for Blood
		[GetSpellInfo(46924)] = { color={0.93,0.98,0.51}, }, -- Bladestorm
		[GetSpellInfo(871)]   = { color={0.7,0.1,0.1}, }, -- Shield Wall
		[GetSpellInfo(12975)] = { color={0.8,0.2,0.1}, }, -- Last Stand
		[GetSpellInfo(46916)] = { color={1,0,0.5}, }, -- Slam! (triggered by Bloodsurge)
		[GetSpellInfo(50227)] = { color={0,0,1}, }, -- Sword and Board
	}
	return tmplist
end