local _, cClass = UnitClass("player")
if (cClass ~= "ROGUE") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = {
		[GetSpellInfo(63848)] = { color={1,0,0}, }, -- Hunger for Blood
		[GetSpellInfo(11305)] = { color={0,1,0}, }, -- Sprint
		[GetSpellInfo(13750)] = { color={0.7,0.1,0.1}, }, -- Adrenline Rush
		[GetSpellInfo(13877)] = { color={1,0.5,0}, }, -- Blade Flurry
		[GetSpellInfo(31224)] = { color={1,0,0.5}, }, -- Cloak of Shadows
		[GetSpellInfo(26669)] = { color={0.93,0.98,0.51}, }, -- Evasion
		[GetSpellInfo(26888)] = { color={0.28,0.24,0.55}, }, -- Vanish
		[GetSpellInfo(51690)] = { color={0.7,0.1,0.1}, }, -- Killing Spree
		[GetSpellInfo(6774)]  = { color={1,0.5,0}, }, -- Slice and Dice
		[GetSpellInfo(51713)] = { color={0.7,0.1,0.1}, }, -- Shadow Dance
		[GetSpellInfo(48659)] = { color={0.4,0.4,1}, }, -- Feint (aoe reduction buff)
		[GetSpellInfo(57993)] = { color={0,1,0}, }, -- Envenom
	}
	return tmplist
end
